Package bitel.billing.server.contract

# Class ContractRemover

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
bitel.billing.server.contract.ContractRemover

All Implemented Interfaces:
  `AutoCloseable`

public class ContractRemover extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements AutoCloseable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractRemover(Connection con, String folder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `String`
  `deleteContract(int cid)`
  Удаление договора без предварительной проверки возможности в модулях.
  `String`
  `deleteContract(int userId, int contractId)`
  Удаление договора без предварительной проверки возможности в модулях.
  `String`
  `getArchiveContent(String fileName)`
  Получение текстового содержимого архива (для просмотра сериализованной xml, например).
  `List<File>`
  `getContractsFromArchive(String fileFilter)`
  `List<String>`
  `getFolders()`
  Список папок и подпапок в папке для сохранения архивов (для отображения юзеру списка)
  `String`
  `removeContract(int contractId, boolean save)`
  Удаление договора с предварительной проверкой возможности удаления в модулях.
  `String`
  `removeContract(int cid, boolean save, int userId)`
  Удаление договора с предварительной проверкой возможности удаления в модулях.
  `String`
  `removeContracts(List<Integer> cids, boolean save)`
  Удаление договоров с предварительной проверкой возможности удаления в модулях.
  `String`
  `restoreContract(String fileName)`
  восстановление договора из файла
  `String`
  `restoreContractClone(String fileName)`
  восстановление клона договора из файла

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractRemover

    public ContractRemover(Connection con, String folder) throws SQLException
    Throws:
      `SQLException`

- ## Method Details

  - ### removeContracts

    public String removeContracts(List<Integer> cids, boolean save) throws Exception
    Удаление договоров с предварительной проверкой возможности удаления в модулях.
    Parameters:
      `cids` - коды договоров
      `save` - необходимости сохранения данных в архиве
    Returns:
      null при успешном удалении, иначе текст ошибки
    Throws:
      `Exception`

  - ### removeContract

    public String removeContract(int contractId, boolean save) throws Exception
    Удаление договора с предварительной проверкой возможности удаления в модулях.
    Parameters:
      `contractId` - код договора
      `save` - необходимости сохранения данных в архиве
    Returns:
      null при успешном удалении, иначе текст ошибки
    Throws:
      `Exception`

  - ### removeContract

    public String removeContract(int cid, boolean save, int userId) throws Exception
    Удаление договора с предварительной проверкой возможности удаления в модулях.
    Parameters:
      `cid` - код договора
      `save` - необходимости сохранения данных в архиве
      `userId` - код пользоваетля
    Returns:
      null при успешном удалении, иначе текст ошибки
    Throws:
      `Exception`

  - ### deleteContract

    public String deleteContract(int cid)
    Удаление договора без предварительной проверки возможности в модулях.
    Parameters:
      `cid` - код договора
    Returns:
      null при успешном удалении или текст с описанием ошибки

  - ### deleteContract

    public String deleteContract(int userId, int contractId)
    Удаление договора без предварительной проверки возможности в модулях.
    Parameters:
      `userId` - код пользователя
      `contractId` - код договора
    Returns:
      null при успешном удалении или текст с описанием ошибки

  - ### getContractsFromArchive

    public List<File> getContractsFromArchive(String fileFilter)

  - ### restoreContract

    public String restoreContract(String fileName)
    восстановление договора из файла

  - ### restoreContractClone

    public String restoreContractClone(String fileName)
    восстановление клона договора из файла

  - ### getFolders

    public List<String> getFolders()
    Список папок и подпапок в папке для сохранения архивов (для отображения юзеру списка)

  - ### getArchiveContent

    public String getArchiveContent(String fileName)
    Получение текстового содержимого архива (для просмотра сериализованной xml, например).

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`